//==============================================================================
// PROJECT      = Bootloader
// MODULE       = bl78k0_kx2_time.h
// SHORT DESC.  = Prototypes for timer module
// DEVICE       = 78K0/Kx2
// VERSION      = 1.0
// DATE         = 05.12.2006
// LAST CHANGE  =
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================


#ifndef __BL78K0_KX2_TIME_H
#define __BL78K0_KX2_TIME_H


//*****************************************************************************
// function prototypes
//*****************************************************************************
void init_timer_50ms(void);
__callt void initTimeoutDetect(u08 timer_factor);
__callt void resetTimeoutDetect(void);
__callt u08 isTimeout(void);
__callt void setTimerIntervall_50ms(void);
__callt void setTimerIntervall_2ms(void);

#endif
