//==============================================================================
// PROJECT      = Bootloader
// MODULE       = bl78k0_kx2_dbuffer.h
// SHORT DESC.  = Prototypes for data buffer module
// DEVICE       = 78K0/Kx2
// VERSION      = 1.0
// DATE         = 05.12.2006
// LAST CHANGE  =
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================



#ifndef __BL78K0_KX2_DBUFFER_H
#define __BL78K0_KX2_DBUFFER_H



//*****************************************************************************
// function prototypes
//*****************************************************************************
u08 dB_write(u08 w_byte);
u08 isLastDataToWrite(void);
__callt void setByteCountMod4(void);
__callt void resetDataBufferControl(void);
__callt u32 getFirstWriteAddress(void);
void setByteAddr(u32 addr);
__callt u08 getWordCount(void);
__callt u08 getBlockNr(void);

#endif

