
        #include "app_bootl_def.h"


        EXTERN    INTCK2_isr
        EXTERN    INTLVI_isr
        EXTERN    INTP0_isr
        EXTERN    INTP1_isr
        EXTERN    INTP2_isr
        EXTERN    INTP3_isr
        EXTERN    INTP4_isr
        EXTERN    INTP5_isr
        EXTERN    INTSRE6_isr
        EXTERN    INTSR6_isr
        EXTERN    INTST6_isr
        EXTERN    INTCSI10_isr
        EXTERN    INTTMH1_isr
        EXTERN    INTTMH0_isr
        EXTERN    INTTM50_isr
        EXTERN    INTTM000_isr
        EXTERN    INTTM010_isr
        EXTERN    INTAD_isr
        EXTERN    INTSR0_isr
        EXTERN    INTWTI_isr
        EXTERN    INTTM51_isr
        EXTERN    INTKR_isr
        EXTERN    INTWT_isr
        EXTERN    INTP6_isr
        EXTERN    INTP7_isr
        EXTERN    INTIIC0_isr
        EXTERN    INTCSI11_isr
        EXTERN    INTTM001_isr
        EXTERN    INTTM011_isr
        EXTERN    INTACSI_isr
        EXTERN    INTBRK_isr
        EXTERN    __program_start
        
        
        RSEG VINTVEC:CODE:ROOT

        br __program_start

        #ifdef INTCK2_isr_used
          BR  INTCK2_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTLVI_isr_used
          BR  INTLVI_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP0_isr_used
          BR  INTP0_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP1_isr_used
          BR  INTP1_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP2_isr_used
          BR  INTP2_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP3_isr_used
          BR  INTP3_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP4_isr_used
          BR  INTP4_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP5_isr_used
          BR  INTP5_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTSRE6_isr_used
          BR  INTSRE6_isr
        #else
          RETI
          NOP
          NOP
        #endif


        #ifdef INTSR6_isr_used
          BR  INTSR6_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTST6_isr_used
          BR  INTST6_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTCSI10_isr_used
          BR  INTCSI10_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTMH1_isr_used
          BR  INTTMH1_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTMH0_isr_used
          BR  INTTMH0_isr
        #else
          RETI
          NOP
          NOP
        #endif


        #ifdef INTTM50_isr_used
          BR  INTTM50_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTM000_isr_used
          BR  INTTM000_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTM010_isr_used
          BR  INTTM010_isr
        #else
          RETI
          NOP
          NOP
        #endif


        #ifdef INTAD_isr_used
          BR  INTAD_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTSR0_isr_used
          BR  INTSR0_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTWTI_isr_used
          BR  INTWTI_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTM51_isr_used
          BR  INTTM51_isr
        #else
          RETI
          NOP
          NOP
        #endif


        #ifdef INTKR_isr_used
          BR  INTKR_isr
        #else
          RETI
          NOP
          NOP
        #endif


        #ifdef INTWT_isr_used
          BR  INTWT_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP6_isr_used
          BR  INTP6_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTP7_isr_used
          BR  INTP7_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTIIC0_isr_used
          BR  INTIIC0_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTCSI11_isr_used
          BR  INTCSI11_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTM001_isr_used
          BR  INTTM001_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTTM011_isr_used
          BR  INTTM011_isr
        #else
          RETI
          NOP
          NOP
        #endif

        #ifdef INTACSI_isr_used
          BR  INTACSI_isr
        #else
          RETI
          NOP
          NOP
        #endif


        #ifdef INTBRK_isr_used
          BR  INTBRK_isr
        #else
          RETI
          NOP
          NOP
        #endif




        RSEG START_ADDR:CODE:ROOT

        DC32 START_ADDR_APP

        RSEG END_ADDR:CODE:ROOT

        DC32 END_ADDR_APP




        END